import 'package:flutter/foundation.dart';

class ApiConfig {
  // Gunakan URL Ngrok Statis (Permanen & Bisa di semua jaringan)
  static const String ngrokUrl = "https://domelike-reliable-imagines.ngrok-free.dev"; 

  static String get baseUrl {
    if (kIsWeb) {
      return "http://localhost/smart_cycling_api";
    }
    
    // Semua HP Android sekarang akan menggunakan jalur Ngrok
    return "$ngrokUrl/smart_cycling_api";
  }
}